Subject: Re: Unresolved Symbol: Library for fpsetround in ieeefp.h
From: "Tim Prince" <[email-masked]>
To: "Duddupudi, Raja, NBSO" <[email-masked]>
Cc: <[email-masked]>
Date: Sat, 17 Jun 2000 13:28:24 -0700

It appears you're correct, that the current cygwin installation declares fpsetround() in ieeefp.h, but that function is not present
in newlib, which redhat/cygnus have chosen as the supported library.  I would be interested myself in having this implemented, but
the list for such discussions is as Cc'd above. You must go to the cygwin web site and apply to subscribe. You will note that there
are sites where contributed software for cygwin is made available, in case the maintainers are reluctant to fix this omission, but
might be willing to suggest in what way a contribution might be accepted.

Tim Prince
----- Original Message -----
From: "Duddupudi, Raja, NBSO" <[email-masked]>
To: "'Tim Prince'" <[email-masked]>
Sent: Saturday, June 17, 2000 10:43 AM
Subject: RE: Unresolved Symbol: Library for fpsetround in ieeefp.h

> The file that I included, ieeefp.h came with the gcc[cygwin] 2.95.2
> installation. So I am wondering why woudn't that file belong to a gcc
> library that came with the installation. I tried the gcc usenet group, and
> as a last resort I mailed you guys.
>
> Thanks
> Raja
>
> -----Original Message-----
> From: Tim Prince [mailto:[email-masked]]
> Sent: Saturday, June 17, 2000 12:37 PM
> To: Duddupudi, Raja, NBSO; [email-masked]
> Subject: Re: Unresolved Symbol: Library for fpsetround in ieeefp.h
>
>
> Whose library would you expect to support ieeefp.h on Windows?  I wouldn't
> know how to do this except by attempting to adapt
> relevant pieces of glibc.  Wouldn't you have a better chance at getting this
> answered if you figured out what your gcc configuration
> is, and found a mail-list accordingly?
>
> Tim Prince
> ----- Original Message -----
> From: "Duddupudi, Raja, NBSO" <[email-masked]>
> To: <[email-masked]>
> Sent: Saturday, June 17, 2000 10:24 AM
> Subject: Unresolved Symbol: Library for fpsetround in ieeefp.h
>
>
> > Hi,
> >
> > I am using fpsetround, which is defined in ieeefp.h, I am getting
> unresolved
> > symbols when I link -lm, what library do I have to link in for this
> > function, there are a lot of libraries in lib and I have tried all of them
> > still I am getting unresolved synbol.. Please point me to
> > documentation about all these libraries.
> >
> > I am using gcc on Windows NT
> >
> > Thanks
> >
> > Raja
> >
> >
> > Raja Duddupudi
> > 2121 E 63rd Street, C400L
> > Kansas City, MO - 64130
> > Ph:- 816-995-3765
> >

--
Want to unsubscribe from this list?
Send a message to [email-masked]